GET /v1/charges

stripe.com

Summary:
Operation ID: GetCharges
Auth: unknown
Description

<p>Returns a list of charges you’ve previously created. The charges are returned in sorted order, with the most recent charges appearing first.</p>

Parameters (8)

created (?, query, optional)
customer (string, query, optional)

Only return charges for the customer specified by this customer ID.

Constraints: {'maxLength': 5000}

ending_before (string, query, optional)

A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

expand (array, query, optional)

Specifies which fields in the response should be expanded.

limit (integer, query, optional)

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

payment_intent (string, query, optional)

Only return charges that were created by the PaymentIntent specified by this PaymentIntent ID.

Constraints: {'maxLength': 5000}

starting_after (string, query, optional)

A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

transfer_group (string, query, optional)

Only return charges for this transfer group.

Constraints: {'maxLength': 5000}

No probe data for this endpoint yet.